TokyoTyrant::setMaster
TokyoTyrant::stat
TokyoTyrant
PHP Manual

# TokyoTyrant::size

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::size — Returns the size of the value

### Description

public int TokyoTyrant::size ( string `$key` )

Returns the size of a value by key

### Parameters

`key`

  The key of which size to fetch

### Return Values

Returns the size of the key or throw TokyoTyrantException on error

### Examples

Example #1 TokyoTyrant::size example

`<?php
$tt = new TokyoTyrant("localhost");
$tt->put("test_key", "12345");
echo $tt->size("test_key");
?>`

The above example will output:

    5

TokyoTyrant::setMaster
TokyoTyrant::stat
TokyoTyrant
PHP Manual